Get billable event prices
curl --request GET \
--url https://ingest.hyperline.co/v1/events/prices \
--header 'Authorization: Bearer <token>'import requests
url = "https://ingest.hyperline.co/v1/events/prices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ingest.hyperline.co/v1/events/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "cal_1234567890",
"result": [
{
"event_type": "api_call",
"product_id": "itm_AweveQEoewer",
"record": {
"id": "D32NAA8",
"durationInMs": 32,
"isVerified": true
},
"amount_excluding_tax": 10000,
"currency": "EUR",
"ingested": true,
"pre_calculated_at": "2024-12-20T16:04:11Z",
"customer_id": "cus_CrqwefTRWBWRT",
"event_timestamp": "2024-12-20T16:04:11Z",
"subscription_id": "<string>",
"price_group": {
"id": "grp_QalW2vTAdkR6IY",
"name": "mastercard"
},
"tax_amount": 2000,
"total_amount": 12000
}
]
}
]Billable events
Get billable event prices
Get previous price simulation results for a billable event. You can search by either calculation_id / record_id or both.
GET
/
v1
/
events
/
prices
Get billable event prices
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A unique identifier for your event, used to identify the event in your system and prevent duplicates.
Example:
"D32NAA8"
ID of the calculation.
Example:
"cal_1234567890"
Was this page helpful?
⌘I

